com.google.gwt.editor.client

## Interface EditorError

- All Known Implementing Classes:
    MockEditorError

      public interface EditorError

  Allows invalid Editor state to be propagated through an Editor hierarchy. Instances of EditorError are typically created as a side effect of calling `EditorDelegate.recordError(java.lang.String, java.lang.Object, java.lang.Object)`.
  See Also:
    `MockEditorError`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbsolutePath()` Returns the absolute path location of the error, relative to the object that was passed into the EditorDriver.
    `Editor<?>` | `getEditor()` Returns the Editor that holds the invalid value.
    `java.lang.String` | `getMessage()` Returns a message associated with the error.
    `java.lang.String` | `getPath()` Returns the path of the error relative to the Editor receiving the error.
    `java.lang.Object` | `getUserData()` Returns the object passed into `EditorDelegate.recordError(java.lang.String, java.lang.Object, java.lang.Object)`.
    `java.lang.Object` | `getValue()` Returns the value that triggered the error.
    `boolean` | `isConsumed()` Indicates whether or not the EditorError will be propagated to the enclosing Editor.
    `void` | `setConsumed(boolean consumed)` Indicates whether or not the EditorError will be propagated to the enclosing Editor.

- - ### Method Detail

    - #### getAbsolutePath

          java.lang.String getAbsolutePath()

      Returns the absolute path location of the error, relative to the object that was passed into the EditorDriver.
      Returns:
        the absolute path as a String

    - #### getEditor

          Editor<?> getEditor()

      Returns the Editor that holds the invalid value.
      Returns:
        the Editor instance

    - #### getMessage

          java.lang.String getMessage()

      Returns a message associated with the error.
      Returns:
        the error message as a String

    - #### getPath

          java.lang.String getPath()

      Returns the path of the error relative to the Editor receiving the error. If the error concerns the Editor that is receiving the error, this method will return an empty string.
      Returns:
        the error path as a String

    - #### getUserData

          java.lang.Object getUserData()

      Returns the object passed into `EditorDelegate.recordError(java.lang.String, java.lang.Object, java.lang.Object)`.
      Returns:
        the user data Object

    - #### getValue

          java.lang.Object getValue()

      Returns the value that triggered the error.
      Returns:
        the error value Object

    - #### isConsumed

          boolean isConsumed()

      Indicates whether or not the EditorError will be propagated to the enclosing Editor.
      Returns:
        `true` if the error will not be propagated
      See Also:
        `setConsumed(boolean)`

    - #### setConsumed

          void setConsumed(boolean consumed)

      Indicates whether or not the EditorError will be propagated to the enclosing Editor.
      Parameters:
        `consumed` - `true` if the error will not be propagated
      See Also:
        `isConsumed()`